Loading...
Searching...
No Matches
dsrscovl.h File Reference

definitions for class DSRSpatialCoordinatesValue More...

## Classes

class | DSRSpatialCoordinatesValue
| Class for spatial coordinate values. More...

## Functions

DCMTK_DCMSR_EXPORT OFBool | operator== (const DSRSpatialCoordinatesValue &lhs, const DSRSpatialCoordinatesValue &rhs)
| equality operator.
DCMTK_DCMSR_EXPORT OFBool | operator!= (const DSRSpatialCoordinatesValue &lhs, const DSRSpatialCoordinatesValue &rhs)
| inequality operator.

## Detailed Description

definitions for class DSRSpatialCoordinatesValue

## Function Documentation

## operator!=()

DCMTK_DCMSR_EXPORT OFBool operator!= | ( | const DSRSpatialCoordinatesValue & | lhs,
|  | const DSRSpatialCoordinatesValue & | rhs )

inequality operator.

Internally, the DSRSpatialCoordinatesValue::isNotEqual() method is used.

Parameters

  lhs | left-hand side
  rhs | right-hand side

Returns
  OFTrue if 'lhs' and 'rhs' are not equal, OFFalse otherwise

## operator==()

DCMTK_DCMSR_EXPORT OFBool operator== | ( | const DSRSpatialCoordinatesValue & | lhs,
|  | const DSRSpatialCoordinatesValue & | rhs )

equality operator.

Internally, the DSRSpatialCoordinatesValue::isEqual() method is used.

Parameters

  lhs | left-hand side
  rhs | right-hand side

Returns
  OFTrue if 'lhs' and 'rhs' are equal, OFFalse otherwise

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0